# Uses of Class
org.apache.sling.distribution.journal.shared.Topics

Packages that use Topics
Package
Description
org.apache.sling.distribution.journal.impl.discovery
org.apache.sling.distribution.journal.impl.precondition
org.apache.sling.distribution.journal.impl.publisher
org.apache.sling.distribution.journal.impl.subscriber

## Uses of Topics in org.apache.sling.distribution.journal.impl.discovery

Constructors in org.apache.sling.distribution.journal.impl.discovery with parameters of type Topics
Modifier
Constructor
Description
``
`DiscoveryService(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, TopologyChangeHandler topologyChangeHandler, Topics topics, org.osgi.service.event.EventAdmin eventAdmin)`

## Uses of Topics in org.apache.sling.distribution.journal.impl.precondition

Constructors in org.apache.sling.distribution.journal.impl.precondition with parameters of type Topics
Modifier
Constructor
Description
``
`PackageStatusWatcher(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, Topics topics)`

## Uses of Topics in org.apache.sling.distribution.journal.impl.publisher

Constructors in org.apache.sling.distribution.journal.impl.publisher with parameters of type Topics
Modifier
Constructor
Description
``
`DistributedEventNotifierManager(org.osgi.framework.BundleContext context, DistributedEventNotifierManager.Configuration config, org.osgi.service.event.EventAdmin eventAdmin, PubQueueProvider pubQueueCacheService, org.apache.sling.distribution.journal.MessagingProvider messagingProvider, Topics topics, org.apache.sling.api.resource.ResourceResolverFactory resolverFactory, org.osgi.service.event.EventHandler distributedEventHandler)`
Register the package distributed event notifier service on all or only the leader instance in a cluster according to the configuration.
``
`DistributionPublisher(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, DiscoveryService discoveryService, PackageMessageFactory factory, org.osgi.service.event.EventAdmin eventAdmin, Topics topics, org.apache.sling.commons.metrics.MetricsService metricsService, PubQueueProvider pubQueueProvider, org.osgi.service.condition.Condition limitToggle, PublisherConfiguration config, org.osgi.framework.BundleContext context)`
``
`PackageDistributedNotifier(org.osgi.service.event.EventAdmin eventAdmin, PubQueueProvider pubQueueCacheService, org.apache.sling.distribution.journal.MessagingProvider messagingProvider, Topics topics, org.apache.sling.api.resource.ResourceResolverFactory resolverFactory, boolean ensureEvent)`
``
`PubQueueProviderPublisher(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, DiscoveryService discoveryService, Topics topics, org.apache.sling.commons.metrics.MetricsService metricsService, PubQueueProviderFactory pubQueueProviderFactory, org.osgi.framework.BundleContext context)`

## Uses of Topics in org.apache.sling.distribution.journal.impl.subscriber

Constructors in org.apache.sling.distribution.journal.impl.subscriber with parameters of type Topics
Modifier
Constructor
Description
``
`CommandPoller(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, Topics topics, String subSlingId, String subAgentName, Runnable callback)`